unit.rep {grid} | R Documentation

## Replicate Elements of Unit Objects

### Description

Replicates the units according to the values given in `times` and `length.out`.

This function has been deprecated in favour of a unit method for the generic `rep` function.

### Usage

    unit.rep(x, ...)

### Arguments

`x` | An object of class `"unit"`.
`...` | arguments to be passed to `rep` such as `times` and `length.out`.

### Value

An object of class `"unit"`.

### Author(s)

Paul Murrell

### See Also

`rep`

### Examples

    rep(unit(1:3, "npc"), 3)
    rep(unit(1:3, "npc"), 1:3)
    rep(unit(1:3, "npc") + unit(1, "inches"), 3)
    rep(max(unit(1:3, "npc") + unit(1, "inches")), 3)
    rep(max(unit(1:3, "npc") + unit(1, "strwidth", "a"))*4, 3)
    rep(unit(1:3, "npc") + unit(1, "strwidth", "a")*4, 3)

[Package grid version 2.8.1 Index]